Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AbstractSingleColumnStandardBasicType<T>

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<T>

All Implemented Interfaces:
  Serializable, BasicType, SingleColumnType<T>, StringRepresentableType<T>, Type, XmlRepresentableType<T>

Direct Known Subclasses:
  AdaptedImmutableType, BigDecimalType, BigIntegerType, BinaryType, BooleanType, ByteType, CalendarDateType, CalendarType, CharacterArrayType, CharacterType, CharArrayType, ClassType, CurrencyType, DateType, DoubleType, FloatType, ImageType, IntegerType, LobType, LocaleType, LongType, NumericBooleanType, PostgresUUIDType, SerializableType, ShortType, StringType, TextType, TimestampType, TimeType, TimeZoneType, TrueFalseType, UrlType, UUIDBinaryType, UUIDCharType, WrapperBinaryType, YesNoType

    public abstract class AbstractSingleColumnStandardBasicType<T>

extends AbstractStandardBasicType<T>
implements SingleColumnType<T>

TODO : javadoc

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`AbstractSingleColumnStandardBasicType(SqlTypeDescriptor sqlTypeDescriptor, JavaTypeDescriptor<T> javaTypeDescriptor)`

Method Summary
`Object` | `get(ResultSet rs, String name)` Deprecated. Use `AbstractStandardBasicType.get(ResultSet, String, SessionImplementor)` instead.
`T` | `nullSafeGet(ResultSet rs, String name)` Deprecated. Use `AbstractStandardBasicType.nullSafeGet(ResultSet, String, SessionImplementor)` instead
`void` | `nullSafeSet(PreparedStatement st, Object value, int index, boolean[] settable, SessionImplementor session)` Write an instance of the mapped class to a prepared statement, ignoring some columns.
`void` | `nullSafeSet(PreparedStatement st, T value, int index)` Deprecated. Use `AbstractStandardBasicType.nullSafeSet(PreparedStatement, Object, int, SessionImplementor)` instead.
`void` | `set(PreparedStatement st, T value, int index)` Deprecated. Use `AbstractStandardBasicType.set(PreparedStatement, Object, int, SessionImplementor)` instead.
`int` | `sqlType()`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Constructor Detail

### AbstractSingleColumnStandardBasicType

    public AbstractSingleColumnStandardBasicType(SqlTypeDescriptor sqlTypeDescriptor,
                                                 JavaTypeDescriptor<T> javaTypeDescriptor)

Method Detail

### sqlType

    public final int sqlType()

  Specified by:
    `sqlType` in interface `SingleColumnType<T>`

### nullSafeGet

    public T nullSafeGet(ResultSet rs,
                         String name)
                  throws HibernateException,
                         SQLException

  Deprecated. Use `AbstractStandardBasicType.nullSafeGet(ResultSet, String, SessionImplementor)` instead

  Specified by:
    `nullSafeGet` in interface `SingleColumnType<T>`
  Throws:
    `HibernateException`
    `SQLException`

### get

    public Object get(ResultSet rs,
                      String name)
               throws HibernateException,
                      SQLException

  Deprecated. Use `AbstractStandardBasicType.get(ResultSet, String, SessionImplementor)` instead.

  DO NOT USER THIS FORM!

  Specified by:
    `get` in interface `SingleColumnType<T>`
  Throws:
    `HibernateException`
    `SQLException`

### nullSafeSet

    public final void nullSafeSet(PreparedStatement st,
                                  Object value,
                                  int index,
                                  boolean[] settable,
                                  SessionImplementor session)
                           throws HibernateException,
                                  SQLException

  Write an instance of the mapped class to a prepared statement, ignoring some columns. Implementors should handle possibility of null values. A multi-column type should be written to parameters starting from `index`.

  Specified by:
    `nullSafeSet` in interface `Type`
    `value` - the object to write
    `index` - statement parameter index
    `settable` - an array indicating which columns to ignore
  Throws:
    `HibernateException`
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement st,
                            T value,
                            int index)
                     throws HibernateException,
                            SQLException

  Deprecated. Use `AbstractStandardBasicType.nullSafeSet(PreparedStatement, Object, int, SessionImplementor)` instead.

  DO NOT USE THIS FORM!

  Specified by:
    `nullSafeSet` in interface `SingleColumnType<T>`
  Throws:
    `HibernateException`
    `SQLException`

### set

    public void set(PreparedStatement st,
                    T value,
                    int index)
             throws HibernateException,
                    SQLException

  Deprecated. Use `AbstractStandardBasicType.set(PreparedStatement, Object, int, SessionImplementor)` instead.

  DO NOT USE THIS FORM!

  Specified by:
    `set` in interface `SingleColumnType<T>`
  Throws:
    `HibernateException`
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.